AddQuota
Creates a new quota Returns an error if the quota already exists for the specified unit Deprecated: use SetQuota instead
Path Parameters
Request Body
application/json
the unit a quota should be imposed on
"UNIT_UNIMPLEMENTED" | "UNIT_REQUESTS_ALL_AUTHENTICATED" | "UNIT_ACTIONS_ALL_RUN_SECONDS"the starting time from which the current quota period is calculated from. This is relevant for querying the current usage.
date-timethe quota periods duration
durationthe quota amount of units
int64whether Zitadel should block further usage when the configured amount is used
the handlers, Zitadel executes when certain quota percentages are reached
Response Body
application/json
curl -X POST "https://loading/instances/string/quotas" \ -H "Content-Type: application/json" \ -d '{}'{
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
}
}Was this page helpful?
AddInstance
AddInstance: Deprecated: Use CreateInstance instead Creates a new instance with all needed setup data This might take some time
Adds a domain to an instance
Adds a domain to an instance: Deprecated: Use [AddCustomDomain](/reference/api/instance/zitadel.instance.v2.InstanceService.AddCustomDomain) instead to add a Custom Domain to the instance in context